Ext.data.JsonP.DataTable_Api({"tagname":"class","name":"DataTable.Api","autodetected":{},"files":[{"filename":"datatables.js","href":"datatables.html#DataTable-Api"}],"params":[{"tagname":"params","type":"array|object|string|jQuery","name":"context","doc":"<p>DataTable identifier. This is\n  used to define which DataTables enhanced tables this API will operate on.\n  Can be one of:</p>\n\n<ul>\n<li><code>string</code> - jQuery selector. Any DataTables' matching the given selector\nwith be found and used.</li>\n<li><code>node</code> - <code>TABLE</code> node which has already been formed into a DataTable.</li>\n<li><code>jQuery</code> - A jQuery object of <code>TABLE</code> nodes.</li>\n<li><code>object</code> - DataTables settings object</li>\n</ul>\n\n","html_type":"array|object|string|jQuery"},{"tagname":"params","type":"array","name":"data","optional":true,"doc":"<p>Data to initialise the Api instance with.</p>\n\n<p>@example\n  // Direct initialisation during DataTables construction\n  var api = $('#example').DataTable();</p>\n\n<p>@example\n  // Initialisation using a DataTables jQuery object\n  var api = $('#example').dataTable().api();</p>\n\n<p>@example\n  // Initialisation as a constructor\n  var api = new $.fn.DataTable.Api( 'table.dataTable' );</p>\n","html_type":"array"}],"members":[],"alternateClassNames":[],"aliases":{},"id":"class-DataTable.Api","short_doc":"DataTables API class - used to control and interface with  one or more\nDataTables enhanced tables. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/datatables.html#DataTable-Api' target='_blank'>datatables.js</a></div></pre><div class='doc-contents'><p>DataTables API class - used to control and interface with  one or more\nDataTables enhanced tables.</p>\n\n<p>The API class is heavily based on jQuery, presenting a chainable interface\nthat you can use to interact with tables. Each instance of the API class has\na \"context\" - i.e. the tables that it will operate on. This could be a single\ntable, all tables on a page or a sub-set thereof.</p>\n\n<p>Additionally the API is designed to allow you to easily work with the data in\nthe tables, retrieving and manipulating it as required. This is done by\npresenting the API class as an array like interface. The contents of the\narray depend upon the actions requested by each method (for example\n<code>rows().nodes()</code> will return an array of nodes, while <code>rows().data()</code> will\nreturn an array of objects or arrays depending upon your table's\nconfiguration). The API object has a number of array like methods (<code>push</code>,\n<code>pop</code>, <code>reverse</code> etc) as well as additional helper methods (<code>each</code>, <code>pluck</code>,\n<code>unique</code> etc) to assist your working with the data held in a table.</p>\n\n<p>Most methods (those which return an Api instance) are chainable, which means\nthe return from a method call also has all of the methods available that the\ntop level object had. For example, these two calls are equivalent:</p>\n\n<pre><code>// Not chained\napi.row.add( {...} );\napi.draw();\n\n// Chained\napi.row.add( {...} ).draw();\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>context</span> : array|object|string|jQuery<div class='sub-desc'><p>DataTable identifier. This is\n  used to define which DataTables enhanced tables this API will operate on.\n  Can be one of:</p>\n\n<ul>\n<li><code>string</code> - jQuery selector. Any DataTables' matching the given selector\nwith be found and used.</li>\n<li><code>node</code> - <code>TABLE</code> node which has already been formed into a DataTable.</li>\n<li><code>jQuery</code> - A jQuery object of <code>TABLE</code> nodes.</li>\n<li><code>object</code> - DataTables settings object</li>\n</ul>\n\n</div></li><li><span class='pre'>data</span> : array (optional)<div class='sub-desc'><p>Data to initialise the Api instance with.</p>\n\n<p>@example\n  // Direct initialisation during DataTables construction\n  var api = $('#example').DataTable();</p>\n\n<p>@example\n  // Initialisation using a DataTables jQuery object\n  var api = $('#example').dataTable().api();</p>\n\n<p>@example\n  // Initialisation as a constructor\n  var api = new $.fn.DataTable.Api( 'table.dataTable' );</p>\n</div></li></ul></div><div class='members'></div></div>","meta":{}});