Ext.data.JsonP.jQuery_ui_seoUiSeoGaugeWidget({"tagname":"class","name":"jQuery.ui.seoUiSeoGaugeWidget","autodetected":{},"files":[{"filename":"seogaugewidget.js","href":"seogaugewidget.html#jQuery-ui-seoUiSeoGaugeWidget"}],"uses":["de_epages","jQuery.tmpl","jQuery.ui.widget"],"since":"6.12.0","members":[{"name":"caption","tagname":"cfg","owner":"jQuery.ui.seoUiSeoGaugeWidget","id":"cfg-caption","meta":{}},{"name":"seoQuality","tagname":"cfg","owner":"jQuery.ui.seoUiSeoGaugeWidget","id":"cfg-seoQuality","meta":{}},{"name":"showStatusImage","tagname":"cfg","owner":"jQuery.ui.seoUiSeoGaugeWidget","id":"cfg-showStatusImage","meta":{}},{"name":"setPercentage","tagname":"method","owner":"jQuery.ui.seoUiSeoGaugeWidget","id":"method-setPercentage","meta":{}},{"name":"showStatusImage","tagname":"method","owner":"jQuery.ui.seoUiSeoGaugeWidget","id":"method-showStatusImage","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.seoUiSeoGaugeWidget","short_doc":"Add SEO percentage meter which shows the SEO rating of a content object. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/seogaugewidget.html#jQuery-ui-seoUiSeoGaugeWidget' target='_blank'>seogaugewidget.js</a></div></pre><div class='doc-contents'><p>Add SEO percentage meter which shows the SEO rating of a content object.</p>\n\n<p>The <code>.seoUiSeoGaugeWidget()</code> method adds a visual percentage meter for the SEO quality to a DOM node.</p>\n\n<p>You can supply the option <code>\"seoQuality\"</code> together with a number from 0 to 100 which sets the shown SEO quality.\nIt is possible to change this value later using the \"setPercentage\" function.</p>\n\n<p>There is a small status image behind the meter which indicates whether the SEO percentage is 0 or not. You\ncan hide this image using the <code>\"showStatusImage\"</code> option on creation or later using the \"showStatusImage\"\nfunction.</p>\n\n<h3>Examples</h3>\n\n<p>Programatically apply .seoUiSeoGaugeWidget() to a div DOM node.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>de_epages('#SEOGaugeWidget')\n    .seoUiSeoGaugeWidget({\n        seoQuality: 25,\n        showStatusImage : true,\n        caption : 'SEO:'\n    });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;div id=\"SEOGaugeWidget\"&gt;&lt;/div&gt;\n</code></pre>\n\n<p>Apply .seoUiSeoGaugeWidget() to a div DOM node via ep-metaparse.</p>\n\n<p>HTML:</p>\n\n<pre><code>&lt;div id=\"SEOGaugeWidget\" class=\"ep-metaparse de_epages.seoUiSeoGaugeWidget({'seoQuality' : 25 })\"&gt;&lt;/div&gt;\n</code></pre>\n        <p>Available since: <b>6.12.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-caption' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoGaugeWidget'>jQuery.ui.seoUiSeoGaugeWidget</span><br/><a href='source/seogaugewidget.html#jQuery-ui-seoUiSeoGaugeWidget-cfg-caption' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoGaugeWidget-cfg-caption' class='name expandable'>caption</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Text to be displayed next to the meter bar.</p>\n</div><div class='long'><p>Text to be displayed next to the meter bar.</p>\n</div></div></div><div id='cfg-seoQuality' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoGaugeWidget'>jQuery.ui.seoUiSeoGaugeWidget</span><br/><a href='source/seogaugewidget.html#jQuery-ui-seoUiSeoGaugeWidget-cfg-seoQuality' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoGaugeWidget-cfg-seoQuality' class='name expandable'>seoQuality</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>SEO quality factor.</p>\n</div><div class='long'><p>SEO quality factor.</p>\n</div></div></div><div id='cfg-showStatusImage' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoGaugeWidget'>jQuery.ui.seoUiSeoGaugeWidget</span><br/><a href='source/seogaugewidget.html#jQuery-ui-seoUiSeoGaugeWidget-cfg-showStatusImage' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoGaugeWidget-cfg-showStatusImage' class='name expandable'>showStatusImage</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Show status image or not.</p>\n</div><div class='long'><p>Show status image or not.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-setPercentage' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoGaugeWidget'>jQuery.ui.seoUiSeoGaugeWidget</span><br/><a href='source/seogaugewidget.html#jQuery-ui-seoUiSeoGaugeWidget-method-setPercentage' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoGaugeWidget-method-setPercentage' class='name expandable'>setPercentage</a>( <span class='pre'>newValue</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Changes the SEO quality factor. ...</div><div class='long'><p>Changes the SEO quality factor.</p>\n        <p>Available since: <b>6.12.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newValue</span> : Integer<div class='sub-desc'><p>SEO quality factor.</p>\n</div></li></ul></div></div></div><div id='method-showStatusImage' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoGaugeWidget'>jQuery.ui.seoUiSeoGaugeWidget</span><br/><a href='source/seogaugewidget.html#jQuery-ui-seoUiSeoGaugeWidget-method-showStatusImage' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoGaugeWidget-method-showStatusImage' class='name expandable'>showStatusImage</a>( <span class='pre'>state</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Shows or hides the status image. ...</div><div class='long'><p>Shows or hides the status image.</p>\n        <p>Available since: <b>6.12.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>state</span> : Boolean<div class='sub-desc'><p>Show or hide the status image.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});