Ext.data.JsonP.jQuery_ui_uiSlidebox({"tagname":"class","name":"jQuery.ui.uiSlidebox","autodetected":{},"files":[{"filename":"slidebox.js","href":"slidebox.html#jQuery-ui-uiSlidebox"}],"extends":"jQuery.widget","uses":["ep.ui.core","jQuery.event.special.load","jQuery.event.special.touch","jQuery.fn.class","jQuery.tmpl","jQuery.ui.widget"],"since":"6.15.0","members":[{"name":"speed","tagname":"cfg","owner":"jQuery.ui.uiSlidebox","id":"cfg-speed","meta":{}},{"name":"view","tagname":"cfg","owner":"jQuery.ui.uiSlidebox","id":"cfg-view","meta":{}},{"name":"goTo","tagname":"method","owner":"jQuery.ui.uiSlidebox","id":"method-goTo","meta":{}},{"name":"changeslide","tagname":"event","owner":"jQuery.ui.uiSlidebox","id":"event-changeslide","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiSlidebox","short_doc":"Create a view of navigable slides. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.uiSlidebox</strong></div></div><h4>Uses</h4><div class='dependency'>ep.ui.core</div><div class='dependency'>jQuery.event.special.load</div><div class='dependency'>jQuery.event.special.touch</div><div class='dependency'>jQuery.fn.class</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/slidebox.html#jQuery-ui-uiSlidebox' target='_blank'>slidebox.js</a></div></pre><div class='doc-contents'><p>Create a view of navigable slides.</p>\n\n<p>The <code>ep.uiSliderbox()</code> method creates a view of slides which are navigable with touch swipe gestures and\nclickable areas on the left and right side.</p>\n\n<h3>Examples</h3>\n\n<p>Create a simple slidebox with 3 slide and 2 content boxes per slide.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('#slidebox')\n    .uiSlidebox({\n        view: 2,\n        speed: 600\n    });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;div id=\"slidebox\"&gt;\n  &lt;ul&gt;\n    &lt;li&gt;\n      &lt;img alt=\"Bild 1\" src=\"ep/ui/slideboxTest_Image1.jpg\"/&gt;\n    &lt;/li&gt;\n    &lt;li&gt;\n      &lt;p&gt;\n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent euismod,\n        risus dictum vulputate varius, sapien elit feugiat massa, in feugiat lacus diam vel ipsum.\n      &lt;/p&gt;\n    &lt;/li&gt;\n    &lt;li&gt;\n      &lt;p&gt;\n        Nulla lacinia felis in nulla auctor non condimentum sapien vestibulum. Donec quis ornare arcu.\n        Nullam semper, nunc eget faucibus condimentum, velit massa pulvinar lorem, id dignissim lectus\n        diam ac elit. Morbi mattis venenatis posuere. Nulla congue risus id orci vestibulum sed tempor\n        dolor molestie.\n      &lt;/p&gt;\n    &lt;/li&gt;\n    &lt;li&gt;\n      &lt;img alt=\"Bild 2\" src=\"ep/ui/slideboxTest_Image2.jpg\"/&gt;\n    &lt;/li&gt;\n    &lt;li&gt;\n      &lt;img alt=\"Bild 3\" src=\"ep/ui/slideboxTest_Image3.jpg\"/&gt;\n    &lt;/li&gt;\n  &lt;/ul&gt;\n&lt;/div&gt;\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-speed' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlidebox'>jQuery.ui.uiSlidebox</span><br/><a href='source/slidebox.html#jQuery-ui-uiSlidebox-cfg-speed' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlidebox-cfg-speed' class='name expandable'>speed</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The animation time in seconds for the slide effect.</p>\n</div><div class='long'><p>The animation time in seconds for the slide effect.</p>\n</div></div></div><div id='cfg-view' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlidebox'>jQuery.ui.uiSlidebox</span><br/><a href='source/slidebox.html#jQuery-ui-uiSlidebox-cfg-view' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlidebox-cfg-view' class='name expandable'>view</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A count of how many content box are displayed per slide view.</p>\n</div><div class='long'><p>A count of how many content box are displayed per slide view.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-goTo' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlidebox'>jQuery.ui.uiSlidebox</span><br/><a href='source/slidebox.html#jQuery-ui-uiSlidebox-method-goTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlidebox-method-goTo' class='name expandable'>goTo</a>( <span class='pre'>slide</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Go to an specified slide. ...</div><div class='long'><p>Go to an specified slide.</p>\n        <p>Available since: <b>6.15.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>slide</span> : Number,String<div class='sub-desc'><p>Number of the slide to go, accept also 'prev' and 'next'.</p>\n</div></li></ul></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-event'>Events</h3><div class='subsection'><div id='event-changeslide' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlidebox'>jQuery.ui.uiSlidebox</span><br/><a href='source/slidebox.html#jQuery-ui-uiSlidebox-event-changeslide' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlidebox-event-changeslide' class='name expandable'>changeslide</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This event is triggered when the slide change to an other. ...</div><div class='long'><p>This event is triggered when the slide change to an other.</p>\n        <p>Available since: <b>6.15.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});